Subject: bug#2738: Content-free doc string: `handle-shift-selection'.

From: Eli Zaretskii <[email-masked]>
Date: Mon, 23 Mar 2009 06:20:54 +0200

> Date: Sun, 22 Mar 2009 22:59:15 +0000
> Cc: [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> > Is this good enough to close the bug?  If not, please tell what still
> > needs improvement.
> 
> I don't think it is.  I'm not sure this function can be documented
> coherently.  I think it's a bad function.  Sorry, I'm not being very
> constructive here.  I just find the whole thing distasteful in the
> extreme, the idea that rather than binding commands to key sequences,
> with a clean separation between the interactive commander, the key
> sequences and the commands, we've now got a hodge podge where the
> command loop now actually performs part of a command's function -
> sometimes, depending on the key binding.
> 
> In fact, how about just saying something like "this function ensures the
> mark is set for a movement command making a CUA region", or something
> like that?
> 
> In addition this, the function is buggy.  It spuriously enables
> transient-mark-mode in certain circumstances (I'll be submitting a bug
> report soon).

Well, I'm sure doc strings cannot fix buggy or bad implementation, so
please do submit a separate bug report about that.